---
kind: pipeline
type: exec
name: default

steps:
- name: translate
  commands:
  - >
    for inputFile in $$( ls src/ru/src )
    do
      python main.py --file src/ru/src/$${inputFile} --output src/en/src/$${inputFile}
    done

- name: build
  commands:
  - cd src/ru
  - mdbook build
  - cd ../../src/en
  - mdbook build
  